Show / Hide Table of Contents

# Struct AddonSalvageItemSelector

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonSalvageItemSelector

### Fields

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### ItemCount

##### Declaration

    public uint ItemCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ItemData

##### Declaration

    public byte *ItemData

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### SelectedCategory

##### Declaration

    public AgentSalvage.SalvageItemCategory SelectedCategory

##### Field Value

Type | Description
--- | ---
AgentSalvage.SalvageItemCategory |

### Properties

| Improve this Doc View Source

#### Items

##### Declaration

    public readonly Span<AddonSalvageItemSelector.SalvageItem> Items { get; }

##### Property Value

Type | Description
--- | ---
Span<AddonSalvageItemSelector.SalvageItem> |